function E0090()
    MNA()CMU("CS_Jenka")FAI(0)
end
function E0091()
    MNA()CMU("CS_Jenka")FAI(1)
end
function E0092()
    MNA()CMU("CS_Jenka")FAI(2)
end
function E0093()
    MNA()CMU("CS_Jenka")FAI(3)
end
function E0094()
    MNA()CMU("CS_Jenka")FAI(4)
end

function Door_GoJenkaHouse()
    PRI()MM0()SOU("CS_011_door")ANP("Door_GoJenkaHouse",0,1)FAO(0)TRA("CS_jenka_house","E0092",25,15)
end

function GoDarkMaze()
    PRI()FAO(1)TRA("CS_darkmaze","E0093",5,8)
end

function JackSantaCome()
    KEY()MM0(PLY())SLR(0,PLY())WAS()
    FLP("JackSantaCome")
    DNP("JackSantaCome")
    WAI(64)
    --小狗跑进屋
    CNP("Puppy1","CS_puppy_running",10,0)
    WAI(40)
    DNP("Puppy1")
    WAI(32)
    --关门
    SOU("CS_011_door")
    SNP("CS_door",12,14,0,"mainLayer","Door")
    CNP("Door","Door_GoJenkaHouse")
    WAI(32)
    FAC("jack_normal")MS4("Not sure if we'll be welcome here,")NOD()
    CAT("\nbut let's head in anyway.")NOD()
end